post
https://api.caas.staging.bancocdc.com.br/operation/signature/contract/
In this route, we can generate the contract preview in base64.
Attention point:
To generate the preview of the contract, you need to pass the operation code as parameters.
Response
| Http Code | Return Code | Message |
|---|---|---|
| 200 | 200-01 | Success. |
| 400 | 400-01 | Something unexpected happened. |
| 400 | 400-02 | Invalid hash. |
| 400 | 400-52 | Customer was not found. |
| 400 | 400-76 | Error generating the contract. |
| 401 | 401-05 | Unauthorized or token invalid |
| 429 | 429-01 | Too many requests |
| 503 | 503-04 | Unable to authenticate to the documents service. |
Response Parameters
| Parameter | Format | Description |
|---|---|---|
| request_code | String | Request identification code. |
| return | Boolean | Indicates if the request was successful. |
| return_code | String | Return code of the request. |
| message | String | Return message of the request. |
| data | String | Base 64 contract |